Изгнать сообщение об ошибке всплывающего окна

Я подключен через VNC к машине CentOS 6.4 на своем рабочем месте. Каждые пять минут появляется окно, в котором говорится:

Для установки сетевого прокси-сервера, используемого для загрузки пакетов, требуется аутентификация

Приложение пытается выполнить действие, требующее привилегии. Аутентификация, поскольку суперпользователь должен выполнить это действие

Пароль для root:

Детали

Неизвестная роль

Действие: org.freedesktop.packagekit.system-network-proxy-configure

Поставщик: проект PackageKit

[Отменить] [Аутентификация]

У меня нет пароля root, поэтому обычно я просто нажимаю на него, чтобы он ушел, но он, как правило, возвращается через несколько минут. Мой местный sysadmin пытался несколько раз решить проблему и отказался и сказал мне, чтобы закрыть окно всплывающего окна. Тем не менее, это сводит меня с ума. Есть ли способ сделать это, поэтому мне не нужно видеть всплывающее окно, даже если проблема сама по себе не исправлена? Менее предпочтительно, есть ли какая-то очень легкая вещь, которую я могу сказать системному администратору, чтобы действительно решить проблему?

    4 Solutions collect form web for “Изгнать сообщение об ошибке всплывающего окна”

    Надеюсь, ты не один из моих пользователей, ха-ха! Я управляю кластером, и это конкретное предупреждение подталкивало меня какое-то время. Я пытался найти способ исправления этой программно в командной строке с небольшим успехом. Эта ошибка исходит из чего-то, связанного с gnome-packagekit .

    Я столкнулся с тремя решениями этой проблемы

    1. отключить /yum/pluginconf.d
      [main] enabled=0 Это не сработало для меня.

    2. Сегодня я нашел другой ответ на странице решений redhat, и я считаю, что это работает! просто добавьте X-GNOME-Autostart-enabled=false в конец файла /etc/xdg/autostart/gpk-update-icon.desktop . Я перезапустил vnc после этого, и всплывающее окно не вернулось.

    К сожалению, оба решения до сих пор требовали корень на коробке. Я не считаю, что следующая процедура требует root. Но я никогда не пробовал, так как это делается через графический интерфейс:

    1. Запустите консоль терминалов и введите gnome-session-properties а затем снимите флажок PackK Update Update .

    gnome что-то скриншот

    источники:

    В Centos 7, чтобы удалить диалоговое окно « Проверка подлинности для установления сетевого прокси, используемого для загрузки пакетов » при входе в систему, вам необходимо отключить автозапуск службы gnome-software-service

     sed -e '$aX-GNOME-Autostart-enabled=false' -e '/X-GNOME-Autostart-enabled/d' -i.bak /etc/xdg/autostart/gnome-software-service.desktop 

    Для сред RHEL6 / OEL6 – VNC, которые запускают Gnome и видят это сообщение …

    Вызов приложения gnome-session-properties для отключения панели обновления packagekit приводит к изменению файла:

     ~/.config/autostart/gpk-update-icon.desktop 

    иначе:

     $HOME/.config/autostart/gps-update-icon.desktop 

    Как упоминалось в предыдущих сообщениях, он устанавливает:

    X-GNOME-Autostart-enabled=false

    Очевидно, этот файл UTF-8 Unicode

    Для RHEL7 / OEL7 при входе в систему и просмотре этого сообщения: «Требуется аутентификация для установки сетевого прокси, используемого для загрузки программного обеспечения», и застрял в этом вводе пароля и не может войти в систему.

    Чтобы решить эту проблему: Откройте файл /etc/xdg/autostart/abrt-applet.desktop

    затем найдите строку: X-GNOME-Autostart-enabled=true и измените на: X-GNOME-Autostart-enabled=false

    Перезапустите vnc-сервис и перейдите.

    Linux и Unix - лучшая ОС в мире.